org.eclipse.aether.internal.impl

## Class DefaultTransporterProvider

- java.lang.Object
- - org.eclipse.aether.internal.impl.DefaultTransporterProvider

- All Implemented Interfaces:
    TransporterProvider, Service

      @Named
      @Component(role=TransporterProvider.class)
      public final class DefaultTransporterProvider
      extends Object
      implements TransporterProvider, Service

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTransporterProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultTransporterProvider` | `addTransporterFactory(TransporterFactory factory)`
    `void` | `initService(ServiceLocator locator)` Provides the opportunity to initialize this service and to acquire other services for its operation from the locator.
    `Transporter` | `newTransporter(RepositorySystemSession session, RemoteRepository repository)` Tries to create a transporter for the specified remote repository.
    `DefaultTransporterProvider` | `setLoggerFactory(LoggerFactory loggerFactory)`
    `DefaultTransporterProvider` | `setTransporterFactories(Collection<TransporterFactory> factories)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultTransporterProvider

          public DefaultTransporterProvider()

  - ### Method Detail

    - #### initService

          public void initService(ServiceLocator locator)

      Description copied from interface: `Service`
      Provides the opportunity to initialize this service and to acquire other services for its operation from the locator. A service must not save the reference to the provided service locator.
      Specified by:
        `initService` in interface `Service`
      Parameters:
        `locator` - The service locator, must not be `null`.

    - #### setLoggerFactory

          public DefaultTransporterProvider setLoggerFactory(LoggerFactory loggerFactory)

    - #### addTransporterFactory

          public DefaultTransporterProvider addTransporterFactory(TransporterFactory factory)

    - #### setTransporterFactories

          public DefaultTransporterProvider setTransporterFactories(Collection<TransporterFactory> factories)

    - #### newTransporter

          public Transporter newTransporter(RepositorySystemSession session,
                                   RemoteRepository repository)
                                     throws NoTransporterException

      Description copied from interface: `TransporterProvider`
      Tries to create a transporter for the specified remote repository.
      Specified by:
        `newTransporter` in interface `TransporterProvider`
      Parameters:
        `session` - The repository system session from which to configure the transporter, must not be `null`.
        `repository` - The remote repository to create a transporter for, must not be `null`.
      Returns:
        The transporter for the given repository, never `null`.
      Throws:
        `NoTransporterException` - If none of the installed transporter factories can provide a transporter for the specified remote repository.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.